Get FX rates
GET
/v1/fx/rates Reference rates for display and pricing. Settlement always uses the rate on the provider's advice, so never book your ledger against this value.
Query parameters
baserequired | string | |
quote | string | Omit to get every quote for that base currency |
Response 200
base | string | |
quote | string | |
rate | string | A string, to avoid floating-point error |
as_of | string<date-time> |
Request
curl -X GET https://api.baton.example/v1/fx/rates \ -H "Authorization: Bearer sk_live_xxx"
Response · 200
[
{
"base": "USD",
"quote": "EUR",
"rate": "0.9183",
"as_of": "2026-11-16T08:00:00Z"
}
]